Bug 1123921 - [Docs][PRD3.5][3.5Beta][Change][Install][Admin][Technical] Advanced network bridging options supported
Summary: [Docs][PRD3.5][3.5Beta][Change][Install][Admin][Technical] Advanced network b...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Andrew Burden
QA Contact: Lucy Bopf
URL:
Whiteboard:
Depends On: 1044042
Blocks: 1200186
TreeView+ depends on / blocked
 
Reported: 2014-07-28 15:53 UTC by Julie
Modified: 2015-04-29 05:29 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-29 05:29:41 UTC
oVirt Team: ---


Attachments (Terms of Use)
screenshot (116.48 KB, application/octet-stream)
2014-09-12 04:53 UTC, Laura Novich
no flags Details

Description Julie 2014-07-28 15:53:28 UTC
Any bridging options can now be supplied when provisioning a network on a host via a "custom properties" mechanism, similar to others in RHEV-M, using the key "bridge_opts".

These properties are accessible both via the Setup Host Networks dialog in the webadmin console (when configuring a specific network), and via the Setup Networks action in the RESTful API (and derived SDKs).
Install/ Admin Guide shared topic:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.4/html-single/Installation_Guide/index.html#Editing_host_network_interfaces
Technical Guide may require new topic. 

PRD bug: https://bugzilla.redhat.com/show_bug.cgi?id=1044042

Comment 1 Julie 2014-07-28 15:55:12 UTC
additional info: http://www.ovirt.org/Features/Network_Custom_Properties#Bridge_options

SME Contact: Lior (lvernia@redhat.com)

Comment 2 Laura Novich 2014-09-12 04:53:13 UTC
Created attachment 936726 [details]
screenshot

Comment 12 Lucy Bopf 2015-03-31 06:26:09 UTC
Reviewed in cs22767.

Existing topic has been updated to include 'properties' element, and new topic explains the custom bridge options. Minor tagging changes applied per QA feedback.

Updated Technical Guide production spec cs23029:

Host Network Interface Sub-Collection [7981, rev : 749322]
Network Interface Custom Properties [43079, rev: 749321] *Added as per Comment #10

Updated Revision History [34616, rev: 749329]


Moving to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.